Subject: Bug#1439: [X2Go-Dev] Bug#1439: Bug#1439: latest release of x2goclient for Ubuntu has dependency on hello

From: Ulrich Sibiller <[email-masked]>
Date: Sat, 15 Feb 2020 16:23:59 +0100

Hi Mihai,

two things come to mind while reading this:
1. why choose hello and not something that's on the system anyway,
like the kernel or bin-utils or some X package?
2. why do you want to mak x2gokdriveclient (or is it x2gokdrive?)  a
hard dependency? Nobody needs it unless he's wants to use it. People
can use x2go without it. So I see it as optional either way...

Uli

On Sat, Feb 15, 2020 at 12:15 PM Mihai Moldovan <[email-masked]> wrote:
>
> Control: tag -1 invalid
> Control: close -1
>
> * On 2/14/20 11:38 PM, Seth Galitzer wrote:
> > When installing the latest update for x2goclient on Ubuntu 18.04 from
> > the x2go PPA, it has a dependency on the hello package, specifically
> > hello-traditional. The full package version is
> > 4.1.2.2-0~1913~ubuntu18.04.1. I suspect this is unintentional, but
> > filing a bug to check. Output from apt below confirms dependency.
>
> It's fully intentional! "hello" is a very important package that ANY system
> should have, however minimal!
>
>
> No, seriously, it's intentional. Optional dependencies, like for
> x2gokdriveclient, are most often resolved via an OR'd dependency with hello in
> Debian packaging, since Debian doesn't truly have support for optional
> dependencies and hello is small enough to not cause trouble. We could have made
> x2gokdriveclient a Recommends: instead, but eventually it shall really be a hard
> dependency, like the nxproxy one.
>
> x2gokdriveclient needs further love (esp. regarding packaging) and is currently
> only available for Debian in our upstream repositories - like I mentioned in the
> release announcement. Not for Ubuntu, not for RPM-based distros, nothing else
> yet. We'll eventually naturally package it, and once it's available
> cross-distribution, it'll be a hard dependency. For now, I'd ask you to live
> with hello as a nop-replacement. :)
>
>
>
> Mihai
>
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev